Cómo actualizar versión de PHP de WordPress

[GUÍA] Para actualizar la versión PHP de tu WordPress paso a paso

¡Muy buenas querido lector! Ya estoy una semana más por aquí con un post sobre WordPress que seguro que te interesa.

Hoy te enseñaré cómo actualizar la versión PHP en tu servidor para WordPress fácilmente.

¿Qué no tienes ni idea de lo que te estoy hablando?

Pues no te preocupes querido lector ya que si has utilizado el gestor de contenidos WordPress durante mucho tiempo estoy seguro que has tenido que llevar a cabo este proceso o lo han hecho por ti desde tu proveedor de hosting.

Por lo tanto, no te preocupes ya que este proceso pese a ser sencillo requiere de una serie de pasos que no todo el mundo sigue correctamente.

Por lo tanto, presta mucha atención y verás como actualizando la versión de PHP en tu hosting optimizarás tu WordPress y este irá más rápido.

¡Vamos con ello!

¿Por qué WordPress utiliza lenguaje PHP?

PHP es un lenguaje de programación basado en servidor que lo que hace, entre otras cosas, es darte la posibilidad tener un panel de control central en tu página web, un sistema de creación y modificación de posts, un sistema de usuarios, etc.

Por lo tanto, por regla general casi siempre que hay un registro de usuarios en una página web esto suele ser por que la tecnología empleada en esa página web es PHP y, en menor medida ASP junto a una base de datos que casi siempre es MySQL.

Si a esto le sumas que la gran mayoría de páginas web hoy en día están generadas con WordPress pues el resultado es que PHP es uno de los lenguajes de programación dinámicos más utilizados del mundo y, por supuesto, de los más estables.

De ahí que WordPress utilice esta tecnología para funcionar correctamente.

Cómo evitar que aparezca error de PHP en tu WordPress

Estoy casi seguro de que has llegado a este post a través de otras URLs del blog o por que en tu página web WordPress ha aparecido la siguiente advertencia: «Actualización de PHP requerida»

Actualización de php requerida en wordpress

Bien, por eso estoy hoy aquí, para ayudarte a quitar esta advertencia en WordPress y, de paso, mejorar el WPO de tu página web WordPress.

Para evitar que este error de PHP aparezca en el dashboard de tu WordPress lo único que deberás hacer será actualizar la versión de PHP de tu hosting tal y cómo te explicaré a continuación.

¿Por qué es importante actualizar el PHP de tu servidor de cara a WordPress?

Actualizar a la ultima versión el PHP de tu hosting en el cuál tienes instalada tu página web WordPress será importante por los siguientes motivos:

  1. Cada versión de PHP nueva mejora a la anterior en cuanto a prestaciones y nuevas funcionalidades.
  2. La gestión de archivos y procesos se mejora con cada nueva versión de PHP. Por lo tanto, actualizando el PHP de tu página web a la última versión verás cómo tu página web funciona más rápidamente.
  3. Si no actualizas a las últimas versiones de PHP puede que tu versión quede obsoleta, desactualizada y sin soporte.
  4. En caso de no actualizar tu versión de PHP estarás dando paso a que hackeen tu página web WordPress. Es más, una de las principales medidas de seguridad web WordPress frente a ciber ataques es tener tu página actualizada junto a su versión de PHP.

Cómo actualizar el PHP de tu WordPress en cPanel

Para actualizar la versión de PHP de tu WordPress en cPanel bastará con seguir estos pasos:

  1. Accede al panel de control central de cPanel de tu hosting con tus credenciales de acceso.
  2. Una vez dentro ve a la sección «Software» y pulsa sobre «Administrador MultiPHP».
  3. Una vez dentro verás un listado de todas tus páginas web alojadas en tu hosting con ese cPanel y el propio listado te indicará la versión de PHP que está utilizando cada página web.
  4. Para cambiar la versión de PHP de una página web con cPanel bastará con seleccionar la página web a la que quieras cambiar la versión de PHP y en el desplegable de arriba seleccionar la versión nueva para posteriormente pulsar sobre el botón «Aplicar».
  5. Et voilá. Ya estaría cambiada la versión de PHP de tu página web.

Actualizar versión de phpen cpanel

PD. Si has hecho los pasos correctamente verás cómo en el listado de páginas web y su versión de PHP esta habrá cambiado a la que haya selecionado.

Cómo actualizar el PHP de tu WordPress en Sitetools

Si eres de aquellos que utilizan el gestor de hosting web SiteTools (Usuarios de SiteGround, por ejemplo) verás como cambiar la versión de PHP de WordPress en SiteTools es igual o más sencillo que en cPanel.

Para actualizar la versión de PHP actual a una más reciente en SiteTools deberás seguir estos pasos:

  1. Accede a tu panel de control de SiteTools con tus credenciales de acceso.
  2. Una vez dentro del correspondiente dominio/página web al que vayas a cambiar la versión de PHP pulsa sobre la opción «Desarrolladores» y posteriormente sobre «gestor PHP» en la columna izquierda de SiteTools.
  3. Una vez dentro, en la sección «Administrar la configuración de PHP para el X» en la pestaña «VERSIÓN PHP» pulsa sobre el «lápiz» que aparecerá en la columna «Acciones».
  4. Una vez pulsado saltará un popup en cuyo desplegable podrás pasar de «PHP gestionado» a «Cambiar manualmente la versión PHP» y ahí podrás seleccionar la versión de PHP que quieras para tu WordPress.
  5. Una vez selecciona la versión indicada pulsa en «CONFIRMAR» y habrás cambiado correctamente la versión de tu PHP.

Actualizar versión de php en sitetools

¿Qué ocurre si salta un error tras actualizar el PHP de tu WordPress?

Bajo mi experiencia cómo consultor WordPress en muchas ocasiones ocurre lo siguiente.

Actualizas la versión de PHP de tu hosting para que tu WordPress vaya más rápido y cuando lo has actualizado de repente tu página web o no se ve, o aparece el siguiente mensaje de error:

Ha habido un error Crítico en tu web

Mensaje de error crítico en wordpress

Esta situación se da, por regla general, por tres motivos:

  • Alguno de los plugins de tu página web no son compatibles «de momento» con la nueva versión de PHP que has instalado en tu servidor.
  • La versión de WordPress o tu theme no son compatibles con la nueva versión de PHP instalada.
  • Tu página web se ha quedado desactualizada para siempre y necesitarás rehacerla con tecnología actual. Caso bastante común que me encuentro en mis trabajos como diseñador web WordPress.

Ante esta situación lo mejor es que no cunda el pánico.

Para solucionar este problema simplemente deberás reducir tu versión de PHP y retroceder a la versión de PHP que tenías anteriormente.

Simplemente retrocediendo de versión de PHP a la anterior debería ser suficiente para que tu página web volviera a funcionar con total normalidad.

Conclusiones sobre el PHP y WordPress

Cómo has visto a lo largo de este post, tener la última versión estable de PHP en tu página web no acarreará más que ventajas de velocidad, rendimiento y seguridad.

Sin embargo, no es oro todo lo que reluce y estas nuevas actualizaciones puede echar al traste tu página web.

Por este motivo, antes de realizar ningún cambio de versión de PHP recomiendo hacer siempre una copia de seguridad del WordPress para evitar sustos o problemas innecesarios.

De esta forma, siempre estarás cubierto frente a errores por falta de compatibilidad entre plugins, themes o core de WordPress con las nuevas actualizaciones de PHP.

De todos modos, y aún la mayoría de hostings serios ya lo hacen, nunca recomiendo actualizar a la ultimísima versión de PHP ya que esta puede ser muy nueva, contener fallos o que, muchos plugins aún no se hayan podido adaptar a ella.

Por lo tanto, cuidado con tener siempre lo último que no siempre es la mejor opción.

Es más, intenta en la medida de lo posible actualizar siempre a la penúltima versión de PHP y así seguramente no tendrás ningún problema con tu página web.

Ahora te toca a ti querido lector.

¿Te ha parecido interesante este post? ¿Conocías la importancia de la versión de PHP en WordPress?

Cuéntamelo en los comentarios y nos vemos en dos semanas.

¡Hasta entonces!

¡Espera! Seguro que estos artículos también te interesan:
borja aranda cuadrado

Artículo escrito por:

Borja Aranda Vaquero

¡Hola! Soy Borja Aranda Vaquero y desde los 14 años me dedico diseñar páginas webs atractivas, rápidas, que convierten y optimizadas para SEO.

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Mantenimiento web WordPress

Mantén tu página web segura y disponible todo el año por solo 25€ al mes

¿Necesitas ayuda?

Campos marcados con (*) obligatorios

¿No quieres conseguir el 100/100 en el PageSpeed de Google?

Escríbeme tu email y te enviaré la mejor guía para conseguir el 100/100 en PageSpeed en sólo 9 pasos.

Alcanza finalmente el 100/100 en el PageSpeed de Google con esta guía

Recibe directamente en tu email esta guía basada en 9 pasos con la que conseguirás el 100/100 en PageSpeed de forma rápida y sencilla.

Solicita presupuesto sin compromiso

¿En qué necesitas ayuda? *
Cuál es tu página web (Si tienes...)
¿Cómo me has conocido? *
Campos marcados con (*) obligatorios